import FormData from 'form-data';
import { ApiClient, Environment } from '.';
import { BugSplatResponse } from './api-client';
export declare class BugSplatApiClient implements ApiClient {
    private _host;
    private _environment;
    private _createFormData;
    private _fetch;
    private _headers;
    constructor(_host?: string, _environment?: Environment);
    static createAuthenticatedClientForNode(host: string, email: string, password: string): Promise<BugSplatApiClient>;
    static createAuthenticatedClientForWebBrowser(host: string, email: string, password: string): Promise<BugSplatApiClient>;
    createFormData(): FormData;
    fetch(route: string, init?: RequestInit): Promise<BugSplatResponse>;
    login(email: string, password: string): Promise<BugSplatResponse>;
    private parseCookies;
    private parseXsrfToken;
}
