import { Event } from '../../events';
import { AdditionalInfo } from '../additional-info/additional-info';
import { GroupableThreadCollection } from '../thread-collection/groupable-thread-collection';
export declare enum ProcessingStatus {
    Processing = 0,
    ActiveThreadComplete = 1,
    Complete = 2
}
export declare enum DefectTrackerType {
    None = "None",
    FogBugz = "FogBugz",
    Jira = "Jira",
    Azure = "Azure DevOps",
    YouTrack = "YouTrack",
    GitHub = "GitHub",
    Assembla = "Assembla"
}
interface CrashDetailsConstructorOptions {
    processed: ProcessingStatus;
    additionalFiles?: Array<string>;
    appKey?: string;
    appName?: string;
    appVersion?: string;
    comments?: string;
    crashTime?: string;
    defectTrackerType?: DefectTrackerType;
    defectLabel?: string;
    defectUrl?: string;
    description?: string;
    dumpfile?: string;
    email?: string;
    events: Array<any>;
    exceptionCode?: string;
    exceptionMessage?: string;
    id?: number;
    ipAddress?: string;
    missingSymbols?: boolean;
    nextCrashId?: number;
    platform?: string;
    previousCrashId?: number;
    processor?: string;
    stackKeyId?: number;
    stackKeyDefectLabel?: string;
    stackKeyDefectUrl?: string;
    thread?: GroupableThreadCollection;
    user?: string;
    debuggerOutput?: AdditionalInfo;
}
export declare class CrashDetails implements CrashDetailsConstructorOptions {
    processed: ProcessingStatus;
    additionalFiles?: Array<string>;
    appKey?: string;
    appName?: string;
    appVersion?: string;
    comments?: string;
    crashTime?: string;
    defectTrackerType?: DefectTrackerType;
    defectId?: string;
    defectLabel?: string;
    defectUrl?: string;
    description?: string;
    dumpfile?: string;
    email?: string;
    events: Array<Event>;
    exceptionCode?: string;
    exceptionMessage?: string;
    id?: number;
    ipAddress?: string;
    missingSymbols?: boolean;
    nextCrashId?: number;
    platform?: string;
    previousCrashId?: number;
    processor?: string;
    stackKeyId?: number;
    stackKeyDefectId?: number;
    stackKeyDefectLabel?: string;
    stackKeyDefectUrl?: string;
    thread?: GroupableThreadCollection;
    user?: string;
    additionalInfo?: AdditionalInfo;
    constructor(options: CrashDetailsConstructorOptions);
}
export {};
